Bug 1001276 - CUnit : duplicate documentation files / potentially conflicting
CUnit : duplicate documentation files / potentially conflicting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: CUnit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-26 16:04 EDT by Michael Schwendt
Modified: 2014-06-12 02:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:02:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-26 16:04:58 EDT
Duplicate documentation files have been detected in the package
builds for Rawhide and Fedora 20. The likely cause is the unversioned
docdirs change in Fedora 20.

If your package %installs documentation files into %{_docdir}/%{name}/ to
store them in a subpackage, this now conflicts with using the %doc
macro in the base package. Since Fedora 20, the %doc macro installs into
the unversioned %{_docdir}/%{name}/ and includes everything in that
directory. One obvious fix is to decide between either using %doc or
installing into %{_docdir}/%{name}/ manually as explained in the
Packaging tricks Wiki section (for past dist releases and the versioned
docdir).

General discussion of this problem:
https://fedorahosted.org/fpc/ticket/338

Further information:
http://fedoraproject.org/wiki/Changes/UnversionedDocdirs
https://fedoraproject.org/wiki/Packaging_tricks#Installing_documentation:_2_paths

[semi-automated bug report]

[...]

=> CUnit-2.1.3-6.fc20.src.rpm
=> CUnit-devel-2.1.3-6.fc20.i686 in fedora-development-i386
  File conflict with: CUnit-2.1.3-6.fc20.i686
     /usr/share/doc/CUnit/AUTHORS
     /usr/share/doc/CUnit/COPYING
     /usr/share/doc/CUnit/CUnit_doc.css
     /usr/share/doc/CUnit/README
     /usr/share/doc/CUnit/TODO
     /usr/share/doc/CUnit/error_handling.html
     /usr/share/doc/CUnit/fdl.html
     /usr/share/doc/CUnit/headers/Automated.h
     /usr/share/doc/CUnit/headers/Basic.h
     /usr/share/doc/CUnit/headers/CUCurses.h
     /usr/share/doc/CUnit/headers/CUError.h
     /usr/share/doc/CUnit/headers/CUnit.h
     /usr/share/doc/CUnit/headers/CUnit_intl.h
     /usr/share/doc/CUnit/headers/Console.h
     /usr/share/doc/CUnit/headers/MyMem.h
     /usr/share/doc/CUnit/headers/TestDB.h
     /usr/share/doc/CUnit/headers/TestRun.h
     /usr/share/doc/CUnit/headers/Util.h
     /usr/share/doc/CUnit/headers/Win.h
     /usr/share/doc/CUnit/index.html
     /usr/share/doc/CUnit/introduction.html
     /usr/share/doc/CUnit/managing_tests.html
     /usr/share/doc/CUnit/running_tests.html
     /usr/share/doc/CUnit/test_registry.html
     /usr/share/doc/CUnit/writing_tests.html

=> CUnit-2.1.3-6.fc20.src.rpm
=> CUnit-2.1.3-6.fc20.i686 in fedora-development-i386
  File conflict with: CUnit-devel-2.1.3-6.fc20.i686
     /usr/share/doc/CUnit/AUTHORS
     /usr/share/doc/CUnit/COPYING
     /usr/share/doc/CUnit/CUnit_doc.css
     /usr/share/doc/CUnit/README
     /usr/share/doc/CUnit/TODO
     /usr/share/doc/CUnit/error_handling.html
     /usr/share/doc/CUnit/fdl.html
     /usr/share/doc/CUnit/headers/Automated.h
     /usr/share/doc/CUnit/headers/Basic.h
     /usr/share/doc/CUnit/headers/CUCurses.h
     /usr/share/doc/CUnit/headers/CUError.h
     /usr/share/doc/CUnit/headers/CUnit.h
     /usr/share/doc/CUnit/headers/CUnit_intl.h
     /usr/share/doc/CUnit/headers/Console.h
     /usr/share/doc/CUnit/headers/MyMem.h
     /usr/share/doc/CUnit/headers/TestDB.h
     /usr/share/doc/CUnit/headers/TestRun.h
     /usr/share/doc/CUnit/headers/Util.h
     /usr/share/doc/CUnit/headers/Win.h
     /usr/share/doc/CUnit/index.html
     /usr/share/doc/CUnit/introduction.html
     /usr/share/doc/CUnit/managing_tests.html
     /usr/share/doc/CUnit/running_tests.html
     /usr/share/doc/CUnit/test_registry.html
     /usr/share/doc/CUnit/writing_tests.html
Comment 1 Fedora Update System 2013-09-10 06:46:49 EDT
CUnit-2.1.3-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/CUnit-2.1.3-7.fc19
Comment 2 Fedora Update System 2013-09-10 06:47:01 EDT
CUnit-2.1.3-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/CUnit-2.1.3-7.fc18
Comment 3 Fedora Update System 2013-09-10 06:47:14 EDT
CUnit-2.1.3-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/CUnit-2.1.3-7.fc20
Comment 4 Michael Schwendt 2013-09-10 06:56:46 EDT
Please withdraw the superfluous updates for F19 and older. This report is _only_ for Fedora 20 and newer.
Comment 5 Fedora Update System 2013-09-10 12:25:08 EDT
Package CUnit-2.1.3-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing CUnit-2.1.3-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16298/CUnit-2.1.3-7.fc20
then log in and leave karma (feedback).
Comment 6 Michael Schwendt 2013-09-29 07:29:45 EDT
I've committed a fix to Rawhide git plus general spec file cleanup for modern guidelines. It would be great if you could join and examine the TODO item. The Source0 URL gives 404 Not Found, and upstream only offers 2.1.2 as an official download (not 2.1.3).
Comment 7 Michael Schwendt 2013-12-15 11:02:06 EST
Closing this. A sign of life and team-work with regard to the TODO items still would be great.
Comment 8 Fedora Update System 2014-06-01 12:13:35 EDT
CUnit-2.1.3-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/CUnit-2.1.3-9.fc19
Comment 9 Fedora Update System 2014-06-01 12:13:45 EDT
CUnit-2.1.3-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/CUnit-2.1.3-9.fc20
Comment 10 Fedora Update System 2014-06-12 02:25:11 EDT
CUnit-2.1.3-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-06-12 02:28:55 EDT
CUnit-2.1.3-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.